Description

More of a question than a bug, but I noticed the capitalisation/camel case isn't consistent. E.g. setup, interface, PostTest/posttest,
Metric... 
I'm sure there's a logic behind it. In case there isn't, it's probably best to change this sooner rather than later, as it's not too much
trouble to change the scripts that depend on it, and I doubt many people will have their own custom scripts at this point.

History
#1 - 2015-12-18 05:36 PM - Nicholas Jillings

Will make this urgent (however probably will not get to work on this before Monday now as I'm away all weekend). I think the default should be no
capitalisation on nodes so if you want to prepare you're scripts that way I will work with it (might even create a quick converter python tool to update old
scripts). Perhaps should clean up some other specification document stuff at the same time such as sample rate selector being on the setup node
rather than each audio holder.

My logic for renaming is all node names are lower case (so <audioHolder> becomes <audioholder>) and attributes get hyphenated (so sampleRate
becomes sample-rate) unless you think there is a cleaner way

#2 - 2015-12-18 05:36 PM - Nicholas Jillings
- Priority changed from Normal to Urgent

#3 - 2015-12-18 06:26 PM - Brecht De Man

Sounds good.

Just realised that instead of 'pretest and 'posttest', these audioholder children should maybe be 'prepage' and 'postpage'? Just because I'm
differentiating between 'test' (the whole thing) and 'page' (corresponding with one audioholder). That way there's less confusion. What do you think
though?

A converter tool would be handy. 
I personally often do this with a bash/perl script such as perl -pi -e 's/abc/XYZ/g' scripts/* - replaces strings in all files in that directory.

I'm fine with all lowercase, at least if that's conform any standards we'd want to be conform with. 
Sounds pretty clean to me.

Also, regarding specification document stuff, have a look at the Instructions and see if there's anything to be changed, if it makes sense to absorb
specification documents or even to remove things that are already in the specification documents (or that should be there). 
The Instructions (and perhaps camera-ready WAC paper?) will have to be changed as well if the node and attribute names are changed.

#4 - 2016-01-12 05:48 PM - Nicholas Jillings
- Status changed from New to Resolved
Cleaned up specification
